メンバのアライメントが〜というエラー

[戻る]
roccy 2002/05/21(火) 00:32:34
・環境はVC++、MFCです。

ビルドをすると、メンバのアライメントは、過剰にパッキングされています
というエラーが出ます。
エラーがでる箇所は、クラスのメンバで
例えば、
double      dVal;
とか、
variant_t   vVal;
という風に、宣言しているだけです。

dairygoods 2002/05/21(火) 10:25:56
> ビルドをすると、メンバのアライメントは、過剰にパッキングされています
> というエラーが出ます。

これは、エラーではなく警告(レベル4)です。
レベル4警告はビルド時の情報提供メッセージなので、
通常は無視してかまいません。

roccy 2002/05/21(火) 12:59:53
この警告を出さないようにする方法ってあるのですか?
たくさんの個所で出ていて困りものです。

とおりすがり 2002/05/21(火) 13:08:47
#pragma warning( disable : ???? )

[E-Mail] 2002/05/21(火) 13:14:51
[プロジェクト]
+-[設定]
  +-[C/C++]
    +-[警告レベル]
上記を変更してみたらどうでしょう?

ヘルプで「警告レベル」を見てみると、警告レベルに対してどのような
変更が加えられるか説明がでています。

roccy 2002/05/21(火) 23:03:22
みなさん、ありがとうございます。
警告レベルは、4のままでこの警告が出ないようにする方法
を知りたいです。
そもそも、この「メンバのアライメントは、過剰にパッキングされています」
という警告の意味は何ですか?

kazuma 2002/05/21(火) 23:40:54
これかしら?

http://msdn.microsoft.com/library/default.asp?url=/library/en-
us/vccore/html/C4121.asp

エラー番号を書いていただけると探しやすいです。

古いスレッドには追加発言できません。